#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,320,400,480,720,800,880,960,2000
 * N : 25,240,320,400,480,720,800,880,960,2000
 * NB : 1,16,12,40,40,32,24,32,80,160
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 1; \
   else if ((n_) < 280) (nb_) = 16; \
   else if ((n_) < 360) (nb_) = 12; \
   else if ((n_) < 600) (nb_) = 40; \
   else if ((n_) < 760) (nb_) = 32; \
   else if ((n_) < 840) (nb_) = 24; \
   else if ((n_) < 920) (nb_) = 32; \
   else if ((n_) < 1480) (nb_) = 80; \
   else (nb_) = 160; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
